diff --git a/game/core/src/main/java/net/minecraft/core/entity/player/Player.java b/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
index 4d46bf2ca..5165626fb 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
@@ -746,228 +653,200 @@ public abstract class Player
 
     @Override
     public boolean isSelectable() {
-        if (getGamemode().canInteract()){
+        if (getGamemode().canInteract()) {
             return super.isSelectable();
         }
         return false;
     }
 
     @Override
-    public void push(Entity entity)
-    {
-        if (noPhysics || !getGamemode().canInteract()) return;
+    public void push(Entity entity) {
+        if (this.noPhysics || !getGamemode().canInteract()) return;
         super.push(entity);
     }
 
-    public void dropPlayerItemWithRandomChoice(ItemStack itemstack, boolean flag)
-    {
+    public void dropPlayerItemWithRandomChoice(ItemStack itemstack, boolean flag) {
         if (!getGamemode().canInteract()) return;
-        if(itemstack == null)
-        {
+        if (itemstack == null) {
             return;
         }
-        EntityItem entityitem = new EntityItem(world, x, (y - 0.30000001192092896D) + (double) this.getHeadHeight(), z, itemstack);
+        EntityItem entityitem = new EntityItem(this.world, this.x, (this.y - 0.30000001192092896D) + (double) this.getHeadHeight(), this.z, itemstack);
         entityitem.pickupDelay = 40;
         float f = 0.1F;
-        if(flag)
-        {
-            float f2 = random.nextFloat() * 0.5F;
-            float f4 = random.nextFloat() * MathHelper.PI * 2.0F;
+        if (flag) {
+            float f2 = this.random.nextFloat() * 0.5F;
+            float f4 = this.random.nextFloat() * MathHelper.PI * 2.0F;
             entityitem.xd = -MathHelper.sin(f4) * f2;
             entityitem.zd = MathHelper.cos(f4) * f2;
             entityitem.yd = 0.2D;
-        } else
-        {
+        } else {
             float f1 = 0.3F;
-            entityitem.xd = -MathHelper.sin((yRot / 180F) * MathHelper.PI) * MathHelper.cos((xRot / 180F) * MathHelper.PI) * f1;
-            entityitem.zd = MathHelper.cos((yRot / 180F) * MathHelper.PI) * MathHelper.cos((xRot / 180F) * MathHelper.PI) * f1;
-            entityitem.yd = -MathHelper.sin((xRot / 180F) * MathHelper.PI) * f1 + 0.1F;
+            entityitem.xd = -MathHelper.sin((this.yRot / 180F) * MathHelper.PI) * MathHelper.cos((this.xRot / 180F) * MathHelper.PI) * f1;
+            entityitem.zd = MathHelper.cos((this.yRot / 180F) * MathHelper.PI) * MathHelper.cos((this.xRot / 180F) * MathHelper.PI) * f1;
+            entityitem.yd = -MathHelper.sin((this.xRot / 180F) * MathHelper.PI) * f1 + 0.1F;
             f1 = 0.02F;
-            float f3 = random.nextFloat() * MathHelper.PI * 2.0F;
-            f1 *= random.nextFloat();
-            entityitem.xd += java.lang.Math.cos(f3) * (double)f1;
-            entityitem.yd += (random.nextFloat() - random.nextFloat()) * 0.1F;
-            entityitem.zd += java.lang.Math.sin(f3) * (double)f1;
+            float f3 = this.random.nextFloat() * MathHelper.PI * 2.0F;
+            f1 *= this.random.nextFloat();
+            entityitem.xd += java.lang.Math.cos(f3) * (double) f1;
+            entityitem.yd += (this.random.nextFloat() - this.random.nextFloat()) * 0.1F;
+            entityitem.zd += java.lang.Math.sin(f3) * (double) f1;
         }
         joinEntityItemWithWorld(entityitem);
         addStat(StatList.dropStat, 1);
     }
 
-    protected void joinEntityItemWithWorld(EntityItem entityitem)
-    {
-        world.entityJoinedWorld(entityitem);
+    protected void joinEntityItemWithWorld(EntityItem entityitem) {
+        this.world.entityJoinedWorld(entityitem);
     }
 
-    public float getCurrentPlayerStrVsBlock(@NotNull Block<?> block)
-    {
-        float f = inventory.getStrVsBlock(block);
-        float defaultBreakSpeed = (inventory.getCurrentItem() != null && inventory.getCurrentItem().getItem() instanceof ItemToolSword) ? 1.51f : 1.01f;
-        if (this.getGamemode().doesRequireToolToBreak() && f <= defaultBreakSpeed) return 0; // Requires to break and not effective against block
-        if(isUnderLiquid(Material.water))
-        {
+    public float getCurrentPlayerStrVsBlock(@NotNull Block<?> block) {
+        float f = this.inventory.getStrVsBlock(block);
+        float defaultBreakSpeed = (this.inventory.getCurrentItem() != null && this.inventory.getCurrentItem().getItem() instanceof ItemToolSword) ? 1.51f : 1.01f;
+        if (this.getGamemode().doesRequireToolToBreak() && f <= defaultBreakSpeed)
+            return 0; // Requires to break and not effective against block
+        if (isUnderLiquid(Materials.WATER)) {
             f /= 5F;
         }
-        if(!onGround && !canClimb() && vehicle == null)
-        {
+        if (!this.onGround && !canClimb() && this.vehicle == null) {
             f /= 5F;
         }
         return f;
     }
 
-    public boolean canHarvestBlock(Block<?> block)
-    {
+    public boolean canHarvestBlock(Block<?> block) {
         if (block == null) return false;
-        return inventory.canHarvestBlock(block);
+        return this.inventory.canHarvestBlock(block);
     }
 
     @Override
-	public void readAdditionalSaveData(@NotNull CompoundTag tag)
-    {
+    public void readAdditionalSaveData(@NotNull CompoundTag tag) {
         super.readAdditionalSaveData(tag);
-        nickname = nickname.replace(" ", "");
+        this.nickname = this.nickname.replace(" ", "");
         ListTag nbttaglist = tag.getList("Inventory");
-        inventory.readFromNBT(nbttaglist);
+        this.inventory.readFromNBT(nbttaglist);
 
-        for (int i = 0; i < oldArmorInventory.length; i++) {
-            oldArmorInventory[i] = inventory.armorInventory[i];
-        }
+        System.arraycopy(this.inventory.armorInventory, 0, this.oldArmorInventory, 0, this.oldArmorInventory.length);
 
-        inventory.setCurrentItemIndex(tag.getIntegerOrDefault("CurrentItem", inventory.getCurrentItemIndex()), true);
-        inventory.setHotbarOffset(tag.getIntegerOrDefault("HotbarOffset", inventory.getHotbarOffset()), true);
+        this.inventory.setCurrentItemIndex(tag.getIntegerOrDefault("CurrentItem", this.inventory.getCurrentItemIndex()), true);
+        this.inventory.setHotbarOffset(tag.getIntegerOrDefault("HotbarOffset", this.inventory.getHotbarOffset()), true);
         int dim = tag.getInteger("Dimension");
         if (dim == -1) dim = 1;
-        dimension = dim;
-        sleeping = tag.getBoolean("Sleeping");
-        sleepTimer = tag.getShort("SleepTimer");
+        this.dimension = dim;
+        this.sleeping = tag.getBoolean("Sleeping");
+        this.sleepTimer = tag.getShort("SleepTimer");
         setGamemodeOnLogin(Gamemode.gamemodesList[tag.getInteger("Gamemode")]);
-        noPhysics = tag.getBoolean("Noclip") && gamemode.canPlayerFly();
+        this.noPhysics = tag.getBoolean("Noclip") && this.gamemode.canPlayerFly();
         this.sneaking = tag.getBoolean("Sneaking");
-        if(sleeping)
-        {
-            bedTilePos = new TilePos(this);
+        if (this.sleeping) {
+            this.bedTilePos = new TilePos(this);
             wakeUpPlayer(true, true);
         }
-        if(tag.containsKey("SpawnX") && tag.containsKey("SpawnY") && tag.containsKey("SpawnZ"))
-        {
-            playerSpawnPoint = new TilePos(tag.getInteger("SpawnX"), tag.getInteger("SpawnY"), tag.getInteger("SpawnZ"));
+        if (tag.containsKey("SpawnX") && tag.containsKey("SpawnY") && tag.containsKey("SpawnZ")) {
+            this.playerSpawnPoint = new TilePos(tag.getInteger("SpawnX"), tag.getInteger("SpawnY"), tag.getInteger("SpawnZ"));
         }
-        if(tag.containsKey("LastDeathX") && tag.containsKey("LastDeathY") && tag.containsKey("LastDeathZ"))
-        {
-            lastDeathPoint = new TilePos(tag.getInteger("LastDeathX"), tag.getInteger("LastDeathY"), tag.getInteger("LastDeathZ"));
+        if (tag.containsKey("LastDeathX") && tag.containsKey("LastDeathY") && tag.containsKey("LastDeathZ")) {
+            this.lastDeathPoint = new TilePos(tag.getInteger("LastDeathX"), tag.getInteger("LastDeathY"), tag.getInteger("LastDeathZ"));
         }
         if (tag.containsKey("HeldObject")) {
             CompoundTag heldTag = tag.getCompound("HeldObject");
-            heldObject = ICarriable.createAndLoadCarriable(this, heldTag);
+            this.heldObject = ICarriable.createAndLoadCarriable(this, heldTag);
         }
     }
 
     @Override
-	public void addAdditionalSaveData(@NotNull CompoundTag tag)
-    {
+    public void addAdditionalSaveData(@NotNull CompoundTag tag) {
         super.addAdditionalSaveData(tag);
-        tag.put("Inventory", inventory.writeToNBT(new ListTag()));
-        tag.putInt("CurrentItem", inventory.getCurrentItemIndex());
-        tag.putInt("HotbarOffset", inventory.getHotbarOffset());
-        tag.putInt("Dimension", dimension);
-        tag.putBoolean("Sleeping", sleeping);
-        tag.putShort("SleepTimer", (short)sleepTimer);
-        tag.putInt("Gamemode", gamemode.getId());
-        tag.putBoolean("Noclip", noPhysics && gamemode.canPlayerFly());
+        tag.put("Inventory", this.inventory.writeToNBT(new ListTag()));
+        tag.putInt("CurrentItem", this.inventory.getCurrentItemIndex());
+        tag.putInt("HotbarOffset", this.inventory.getHotbarOffset());
+        tag.putInt("Dimension", this.dimension);
+        tag.putBoolean("Sleeping", this.sleeping);
+        tag.putShort("SleepTimer", (short) this.sleepTimer);
+        tag.putInt("Gamemode", this.gamemode.getId());
+        tag.putBoolean("Noclip", this.noPhysics && this.gamemode.canPlayerFly());
         tag.putBoolean("Sneaking", this.sneaking);
-        if(playerSpawnPoint != null)
-        {
-            tag.putInt("SpawnX", playerSpawnPoint.x);
-            tag.putInt("SpawnY", playerSpawnPoint.y);
-            tag.putInt("SpawnZ", playerSpawnPoint.z);
+        if (this.playerSpawnPoint != null) {
+            tag.putInt("SpawnX", this.playerSpawnPoint.x);
+            tag.putInt("SpawnY", this.playerSpawnPoint.y);
+            tag.putInt("SpawnZ", this.playerSpawnPoint.z);
         }
 
-        if(lastDeathPoint != null)
-        {
-            tag.putInt("LastDeathX", lastDeathPoint.x);
-            tag.putInt("LastDeathY", lastDeathPoint.y);
-            tag.putInt("LastDeathZ", lastDeathPoint.z);
+        if (this.lastDeathPoint != null) {
+            tag.putInt("LastDeathX", this.lastDeathPoint.x);
+            tag.putInt("LastDeathY", this.lastDeathPoint.y);
+            tag.putInt("LastDeathZ", this.lastDeathPoint.z);
         }
 
-        if (heldObject != null) {
+        if (this.heldObject != null) {
             CompoundTag heldTag = new CompoundTag();
-            heldObject.writeToNBT(heldTag);
+            this.heldObject.writeToNBT(heldTag);
             tag.put("HeldObject", heldTag);
         }
     }
 
     @Override
-    public @NotNull String getDisplayName()
-    {
-        String name = nickname;
-        if (name.isEmpty()) name = username;
+    public @NotNull String getDisplayName() {
+        String name = this.nickname;
+        if (name.isEmpty()) name = this.username;
         else name = TextFormatting.ITALIC + name;
 
-        return TextFormatting.get(chatColor) + name;
+        return TextFormatting.get(this.chatColor) + name;
     }
 
-    public void displayContainerScreen(Container container)
-    {
+    public void displayContainerScreen(Container container) {
     }
 
-    public void displayChestScreen(Container container, double x, double y, double z)
-    {
+    public void displayChestScreen(Container container, double x, double y, double z) {
     }
 
     public void displayNBTEditor(@Nullable CompoundTag tag, @Nullable Function<@NotNull CompoundTag, Void> exitAction) {
 
     }
 
-    public void displayWorkbenchScreen(@NotNull TilePos tilePos)
-    {
+    public void displayWorkbenchScreen(@NotNull TilePosc tilePos) {
     }
 
-    public void displayLabelEditorScreen(ItemStack itemStack, int slot)
-    {
+    public void displayLabelEditorScreen(ItemStack itemStack, int slot) {
     }
 
-    public void displayPaintingPickerScreen()
-    {
+    public void displayPaintingPickerScreen() {
     }
 
-    public void displayMobPickerScreen(@NotNull TilePos tilePos) { }
+    public void displayMobPickerScreen(@NotNull TilePosc tilePos) {
+    }
 
-    public void displayWandMobPickerScreen(ItemStack itemStack) { }
+    public void displayWandMobPickerScreen(ItemStack itemStack) {
+    }
 
-    public void displayGuidebookScreen() { }
+    public void displayGuidebookScreen() {
+    }
 
-    public void onItemPickup(Entity entity, ItemStack item)
-    {
+    public void onItemPickup(Entity entity, ItemStack item) {
     }
 
     @Override
-	public float getHeadHeight() {
+    public float getHeadHeight() {
         return this.bbHeight - 0.18f;
     }
 
-    public boolean killPlayer()
-    {
+    public boolean killPlayer() {
         return super.hurt(null, 100, null);
     }
 
     @Override
-    public boolean hurt(Entity attacker, int damage, DamageType type)
-    {
-        entityAge = 0;
-        if(getHealth() <= 0)
-        {
+    public boolean hurt(Entity attacker, int damage, DamageType type) {
+        this.entityAge = 0;
+        if (getHealth() <= 0) {
             return false;
         }
-        if (gamemode.isPlayerInvulnerable())
-        {
+        if (this.gamemode.isPlayerInvulnerable()) {
             return false;
         }
-        if(isPlayerSleeping() && !world.isClientSide)
-        {
+        if (isPlayerSleeping() && !this.world.isClientSide) {
             wakeUpPlayer(true, true);
         }
-        if((attacker instanceof MobMonster) || (attacker instanceof ProjectileArrow))
-        {
-            switch (world.getDifficulty()) {
+        if ((attacker instanceof MobMonster) || (attacker instanceof ProjectileArrow)) {
+            switch (this.world.getDifficulty()) {
                 case PEACEFUL: {
                     damage = 0;
                     break;
@@ -983,17 +862,14 @@ public abstract class Player
             }
         }
         Entity blamedAttacker = attacker;
-        if (damage == 0 && !(attacker instanceof MobSnowman))
-        {
+        if (damage == 0 && !(attacker instanceof MobSnowman)) {
             return false;
         }
-        if((blamedAttacker instanceof ProjectileArrow) && ((ProjectileArrow)blamedAttacker).owner != null)
-        {
-            blamedAttacker = ((ProjectileArrow)blamedAttacker).owner;
+        if ((blamedAttacker instanceof ProjectileArrow) && ((ProjectileArrow) blamedAttacker).owner != null) {
+            blamedAttacker = ((ProjectileArrow) blamedAttacker).owner;
         }
-        if(blamedAttacker instanceof Mob)
-        {
-            alertWolves((Mob)blamedAttacker, false);
+        if (blamedAttacker instanceof Mob) {
+            alertWolves((Mob) blamedAttacker, false);
         }
         addStat(StatList.damageTakenStat, damage);
         if (attacker != null) {
@@ -1003,110 +879,94 @@ public abstract class Player
         return super.hurt(attacker, damage, type);
     }
 
-    protected boolean func_27025_G()
-    {
+    protected boolean func_27025_G() {
         return false;
     }
 
-    protected void alertWolves(Mob attacker, boolean flag)
-    {
-        if((attacker instanceof MobCreeper) || (attacker instanceof MobGhast))
-        {
+    protected void alertWolves(Mob attacker, boolean flag) {
+        if ((attacker instanceof MobCreeper) || (attacker instanceof MobGhast)) {
             return;
         }
-        if(attacker instanceof MobWolf)
-        {
-            MobWolf wolf = (MobWolf)attacker;
-            if(wolf.isWolfTamed() && uuid.equals(wolf.getWolfOwner()))
-            {
+        if (attacker instanceof MobWolf wolf) {
+            if (wolf.isWolfTamed() && this.uuid.equals(wolf.getWolfOwner())) {
                 return;
             }
         }
-        if((attacker instanceof Player) && !func_27025_G())
-        {
+        if ((attacker instanceof Player) && !func_27025_G()) {
             return;
         }
-        List<MobWolf> list = world.getEntitiesWithinAABB(MobWolf.class, AABB.fromPool(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
+        AABBd bb = new AABBd(this.x, this.y, this.z, this.x + 1.0D, this.y + 1.0D, this.z + 1.0D);
+        MathHelper.aabbGrow(bb, 16, 4, 16, bb);
+        List<MobWolf> list = this.world.getEntitiesWithinAABB(MobWolf.class, bb);
         for (MobWolf wolf : list) {
-            if (wolf.isWolfTamed() && wolf.getTarget() == null && uuid.equals(wolf.getWolfOwner()) && (!flag || !wolf.isWolfSitting())) {
+            if (wolf.isWolfTamed() && wolf.getTarget() == null && this.uuid.equals(wolf.getWolfOwner()) && (!flag || !wolf.isWolfSitting())) {
                 wolf.setTarget(attacker);
             }
         }
     }
 
     @Override
-	protected void damageEntity(int damage, DamageType damageType) {
-    	float protection = 1.0f;
+    protected void damageEntity(int damage, DamageType damageType) {
+        float protection = 1.0f;
         if (damageType != null) {
             protection -= getTotalProtectionAmount(damageType);
         }
-    	protection = Math.max(protection, 0.01f);
-    	
-    	//If you take little damage and have lots of protection against that damage
-    	//there is a high change you wont take any damage
-    	double d = damage * protection;
-    	int newDamage = (int) (random.nextFloat() > 0.5 ? Math.floor(d) : Math.ceil(d));
-
-    	int preventedDamage = damage - newDamage;
-    	if(damageType != null && damageType.shouldDamageArmor()){
-        	//Reduce armor for big damage amounts, for example explosions
-        	int armorDamage = (int) Math.ceil(preventedDamage / 4.0);
-        	damageArmor(armorDamage);
-    	}
-    	
+        protection = Math.max(protection, 0.01f);
+
+        //If you take little damage and have lots of protection against that damage
+        //there is a high change you wont take any damage
+        double d = damage * protection;
+        int newDamage = (int) (this.random.nextFloat() > 0.5 ? Math.floor(d) : Math.ceil(d));
+
+        int preventedDamage = damage - newDamage;
+        if (damageType != null && damageType.shouldDamageArmor()) {
+            //Reduce armor for big damage amounts, for example explosions
+            int armorDamage = (int) Math.ceil(preventedDamage / 4.0);
+            damageArmor(armorDamage);
+        }
+
         super.damageEntity(newDamage, damageType);
     }
 
-    public void lavaHurt()
-    {
-        if(!fireImmune)
-        {
+    public void lavaHurt() {
+        if (!this.fireImmune) {
             float protection = 1.0f - getTotalProtectionAmount(DamageType.FIRE);
             protection = Math.max(protection, 0.01f);
             hurt(null, 4, DamageType.FIRE);
-            remainingFireTicks = (int) (80 + 520 * protection);
-            maxFireTicks = remainingFireTicks;
+            this.remainingFireTicks = (int) (80 + 520 * protection);
+            this.maxFireTicks = this.remainingFireTicks;
         }
     }
 
-    public void fireHurt()
-    {
-        if(!fireImmune)
-        {
+    public void fireHurt() {
+        if (!this.fireImmune) {
             float protection = 1.0f - getTotalProtectionAmount(DamageType.FIRE);
             protection = Math.max(protection, 0.01f);
             hurt(null, 1, DamageType.FIRE);
-            remainingFireTicks = (int) (40 + 260 * protection);
-            maxFireTicks = remainingFireTicks;
+            this.remainingFireTicks = (int) (40 + 260 * protection);
+            this.maxFireTicks = this.remainingFireTicks;
         }
     }
-    
-    public void displayFurnaceScreen(TileEntityFurnace tileEntity)
-    {
+
+    public void displayFurnaceScreen(TileEntityFurnace tileEntity) {
     }
 
-    public void displayBlastFurnaceScreen(TileEntityFurnaceBlast tileEntity)
-    {
+    public void displayBlastFurnaceScreen(TileEntityFurnaceBlast tileEntity) {
     }
 
-    public void displayTrommelScreen(TileEntityTrommel tileEntity)
-    {
+    public void displayTrommelScreen(TileEntityTrommel tileEntity) {
     }
 
-    public void displayDispenserScreen(TileEntityDispenser tileEntity)
-    {
+    public void displayDispenserScreen(TileEntityDispenser tileEntity) {
     }
 
-    public void displayActivatorScreen(TileEntityActivator tileEntity)
-    {
+    public void displayActivatorScreen(TileEntityActivator tileEntity) {
     }
 
-    public void displaySignEditorScreen(TileEntitySign tileEntity)
-    {
+    public void displaySignEditorScreen(TileEntitySign tileEntity) {
     }
 
-    public void displayFlagEditorScreen(TileEntityFlag tileEntity)
-    {
+    public void displayFlagEditorScreen(TileEntityFlag tileEntity) {
     }
 
     @Override
@@ -1114,77 +974,61 @@ public abstract class Player
         return false;
     }
 
-    public boolean useCurrentItemOnEntity(Entity entity)
-    {
+    public boolean useCurrentItemOnEntity(Entity entity) {
         boolean flag = false;
-        if(entity.interact(this))
-        {
+        if (entity.interact(this)) {
             swingItem();
             flag = true;
         }
         ItemStack itemstack = getCurrentEquippedItem();
-        if(itemstack != null && (entity instanceof Mob))
-        {
-            if (itemstack.useItemOnEntity(this, (Mob)entity))
-            {
+        if (itemstack != null && (entity instanceof Mob)) {
+            if (itemstack.useItemOnEntity(this, (Mob) entity)) {
                 swingItem();
                 flag = true;
             }
-            if(itemstack.stackSize <= 0)
-            {
+            if (itemstack.stackSize <= 0) {
                 destroyCurrentEquippedItem();
             }
         }
         return flag;
     }
 
-    public ItemStack getCurrentEquippedItem()
-    {
-        return inventory.getCurrentItem();
+    public ItemStack getCurrentEquippedItem() {
+        return this.inventory.getCurrentItem();
     }
 
-    public void destroyCurrentEquippedItem()
-    {
-        inventory.setItem(inventory.getCurrentItemIndex(), null);
+    public void destroyCurrentEquippedItem() {
+        this.inventory.setItem(this.inventory.getCurrentItemIndex(), null);
     }
 
     @Override
-    public double getRidingHeight()
-    {
-        return isDwarf ? heightOffset + 0.05 : heightOffset - 0.5f;
+    public double getRidingHeight() {
+        return this.isDwarf ? this.heightOffset + 0.05 : this.heightOffset - 0.5f;
     }
 
-    public void swingItem()
-    {
-        swingProgressInt = -1;
-        isSwinging = true;
+    public void swingItem() {
+        this.swingProgressInt = -1;
+        this.isSwinging = true;
     }
 
-    public void attackTargetEntityWithCurrentItem(@NotNull Entity entity)
-    {
+    public void attackTargetEntityWithCurrentItem(@NotNull Entity entity) {
         if (!getGamemode().canInteract()) return;
-        int i = inventory.getDamageVsEntity(entity);
-        if(i > 0)
-        {
-            if(yd < 0.0D)
-            {
+        int i = this.inventory.getDamageVsEntity(entity);
+        if (i > 0) {
+            if (this.yd < 0.0D) {
                 i++;
             }
             entity.hurt(this, i, DamageType.COMBAT);
             ItemStack itemstack = getCurrentEquippedItem();
-            if(itemstack != null && (entity instanceof Mob))
-            {
-                itemstack.hitEntity((Mob)entity, this);
-                if(itemstack.stackSize <= 0)
-                {
+            if (itemstack != null && (entity instanceof Mob)) {
+                itemstack.hitEntity((Mob) entity, this);
+                if (itemstack.stackSize <= 0) {
                     destroyCurrentEquippedItem();
                 }
             }
-            if(entity instanceof Mob)
-            {
-                if(entity.isAlive())
-                {
-                    alertWolves((Mob)entity, true);
+            if (entity instanceof Mob) {
+                if (entity.isAlive()) {
+                    alertWolves((Mob) entity, true);
                 }
                 addStat(StatList.damageDealtStat, i);
             }
@@ -1192,63 +1036,56 @@ public abstract class Player
         addStat(StatList.mobEncounterStats.get(entity.getDispatcherId()), 1);
     }
 
-    public void respawnPlayer()
-    {
+    public void respawnPlayer() {
     }
 
     public abstract void animate4();
 
-    public void onItemStackChanged(ItemStack itemstack)
-    {
+    public void onItemStackChanged(ItemStack itemstack) {
     }
 
     @Override
-	  public void remove()
-    {
+    public void remove() {
         super.remove();
-        inventorySlots.onCraftGuiClosed(this);
-        if(craftingInventory != null)
-        {
-            craftingInventory.onCraftGuiClosed(this);
+        this.inventorySlots.onCraftGuiClosed(this);
+        if (this.craftingInventory != null) {
+            this.craftingInventory.onCraftGuiClosed(this);
         }
     }
 
     @Override
-	  public boolean isInWall()
-    {
-        return !sleeping && super.isInWall();
+    public boolean isInWall() {
+        return !this.sleeping && super.isInWall();
     }
 
-    public EnumSleepStatus sleepInBedAt(int x, int y, int z)
-    {
-        if(!world.isClientSide) {
-            if(isPlayerSleeping() || !isAlive()) {
+    public EnumSleepStatus sleepInBedAt(int x, int y, int z) {
+        if (!this.world.isClientSide) {
+            if (isPlayerSleeping() || !isAlive()) {
                 return EnumSleepStatus.OTHER_PROBLEM;
             }
-            if(!world.worldType.mayRespawn()) {
+            if (!this.world.worldType.mayRespawn()) {
                 return EnumSleepStatus.NOT_POSSIBLE_HERE;
             }
-            if(java.lang.Math.abs(this.x - (double)x) > 3D || java.lang.Math.abs(this.y - (double)y) > 3D || java.lang.Math.abs(this.z - (double)z) > 3D) {
+            if (java.lang.Math.abs(this.x - (double) x) > 3D || java.lang.Math.abs(this.y - (double) y) > 3D || java.lang.Math.abs(this.z - (double) z) > 3D) {
                 return EnumSleepStatus.TOO_FAR_AWAY;
             }
-            if(bedTilePos == null || !bedTilePos.equals(new TilePos(x, y, z))) {
-                if(playerSpawnPoint == null || !playerSpawnPoint.equals(new TilePos(x, y, z))) {
+            if (this.bedTilePos == null || !this.bedTilePos.equals(new TilePos(x, y, z))) {
+                if (this.playerSpawnPoint == null || !this.playerSpawnPoint.equals(new TilePos(x, y, z))) {
                     sendTranslatedChatMessage("bed.setSpawn");
                     setPlayerSpawnPoint(new TilePos(x, y, z));
                 }
             }
-            if (!world.getGameRuleValue(GameRules.ALLOW_SLEEPING))
-            {
-				sendStatusMessage(I18n.getInstance().translateKey("bed.noAllowSleeping"));
+            if (!this.world.getGameRuleValue(GameRules.ALLOW_SLEEPING)) {
+                sendStatusMessage(I18n.getInstance().translateKey("bed.noAllowSleeping"));
                 return EnumSleepStatus.DISABLED_BY_GAMERULE;
             }
 
-            if(world.isDaytime() && world.getCurrentWeather() != Weathers.OVERWORLD_STORM) {
-            	sendStatusMessage(I18n.getInstance().translateKey("bed.noSleep"));
+            if (this.world.isDaytime() && this.world.getCurrentWeather() != Weathers.OVERWORLD_STORM) {
+                sendStatusMessage(I18n.getInstance().translateKey("bed.noSleep"));
                 return EnumSleepStatus.NOT_POSSIBLE_NOW;
             }
 
-            if (SpawnerMobs.isUnsafeToSleep(world, this)) {
+            if (SpawnerMobs.isUnsafeToSleep(this.world, this)) {
                 sendStatusMessage(I18n.getInstance().translateKey("bed.unsafeToSleep"));
                 return EnumSleepStatus.NOT_SAFE;
             }
